Card = luajava.bindClass("tcg.Card");

local spell = Card:createWeapon(92,'Arcanite Reaper', 5, 'Warrior', '', 5, 2, 'Basic');

local spell = Card:createWeapon(201,'Assassin\'s Blade', 5, 'Rogue', '', 3, 4, 'Basic');

local spell = Card:createWeapon(257,'Doomhammer', 5, 'Shaman', 'Windfury, Overload: (2)', 2, 8, 'Epic');
	spell.overload = 2;
	spell.onCast = function() this().owner:addAura('WINDFURY',1,false); end;

local spell = Card:createWeapon(155,'Fiery War Axe', 2, '', '', 3, 2, 'Basic');

local spell = Card:createWeapon(86,'Gorehowl', 7, 'Warrior', 'Attacking a minion doesn\'t cost Durability.', 7, 1, 'Epic');
	spell.durabilityLoss = 0;

local spell = Card:createWeapon(225,'Perdition\'s Blade', 3, 'Rogue', 'Battlecry: Deal 1 damage. Combo: Deal 2 damage instead.', 2, 2, 'Rare');
	spell.onCast = 	function() game:chooseTarget(character, function() if game:combo() then this():damage(2); else this():damage(1); end end ) end;

-- local spell = Card:createWeapon(231,'Eaglehorn Bow', 3, 'Hunter', 'Whenever a Secret is revealed, gain +1 Durability.', 2, 3, 'Rare');
	
-- local spell = Card:createWeapon(231,'Gladiator's Longbow', 7, 'Hunter', 'Your hero is Immune while attacking.', 5, 2, 'Epic');
	